<template lang='pug'>
  div
    .row.justify-center.full-height.full-width.text-center.items-center(style="min-height:300px;" v-if="loading")
      div
        p.text-body1 {{title}}
        q-spinner-dots(color='primary' size='xl')
    slot(v-else)
</template>

<script lang='ts'>
import Vue from "vue";

export default Vue.extend({
  props: {
    loading: {
      default: false
    },
    title: {
      default: "Loading..."
    }
  }
});
</script>